#### 4.22.3.23 linealityDimension

`Syntax:`
  `linealityDimension(` cone c `)` `linealityDimension(` fan c `)`
`Type:`
  int
`Purpose:`
  dimension of the lineality space of the cone
`Example:`

      LIB"gfanlib.so";
      intmat M1[3][3]=
      1,0,0,
      0,1,0,
      0,0,1;
      cone c1=coneViaPoints(M1);
      linealityDimension(c1);
      ==> 0
      intmat M2[4][3]=
      1,0,0,
      0,1,0,
      0,0,1,
      -1,0,0;
      cone c2=coneViaPoints(M2);
      linealityDimension(c2);
      ==> 1

User manual for Singular version 4-0-3, 2016, generated by texi2html.